# Get card on file Get card on file **Note**: This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Card issuing - Cards on file", "version": "2.0.0", "description": "Tokenize cards and manage digital wallets", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" }, { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" } ], "tags": [ { "name": "Cards on file", "description": "Cards on file management" } ], "components": { "parameters": { "authPath": { "name": "Authorization", "in": "header", "schema": { "type": "string" }, "required": true, "description": "Account access token. An account token is embedded with an account ID. Tokens can expire quickly, which can result in an Unauthorized message.\n" }, "cardIDpath": { "name": "cardid", "in": "path", "schema": { "type": "string" }, "description": "Card ID", "required": true } }, "schemas": { "CardExpirationDate": { "type": "string", "description": "Card expiration date (mmyy)", "example": "1214" }, "CardOnFileResponse": { "type": "object", "properties": { "acquirer": { "type": "string", "description": "Acquirer ID.", "maxLength": 50, "example": "20" }, "card_name": { "$ref": "#/components/schemas/CardName" }, "card_profile": { "$ref": "#/components/schemas/CardProfile" }, "pismo_card_id": { "$ref": "#/components/schemas/PismoCardID" }, "customer_id": { "$ref": "#/components/schemas/CustomerID" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "card_status": { "$ref": "#/components/schemas/CardStatus" }, "creation_date": { "$ref": "#/components/schemas/CreationDate" }, "default_card": { "$ref": "#/components/schemas/DefaultCard" }, "document_number": { "$ref": "#/components/schemas/DocumentNumber" }, "expiration_date": { "$ref": "#/components/schemas/CardExpirationDate" }, "first_6_digits": { "$ref": "#/components/schemas/First6Digits" }, "issuer_card": { "$ref": "#/components/schemas/IssuerCard" }, "last_4_digits": { "$ref": "#/components/schemas/Last4Digits" }, "network": { "$ref": "#/components/schemas/Network" }, "pan": { "$ref": "#/components/schemas/Pan" }, "printed_name": { "$ref": "#/components/schemas/PrintedName" }, "metadata": { "$ref": "#/components/schemas/Metadata" }, "verified": { "$ref": "#/components/schemas/Verified" } }, "example": { "pan": "4556360876754431", "expiration_date": "0228", "printed_name": "Beverly Hills", "acquirer": "38847", "verified": false, "card_status": "ACTIVE", "pismo_card_id": 123, "custom_id": 123456, "program_id": 1234567, "last_4_digits": "4431", "first_6_digits": "455636", "creation_date": "2022-05-20T11:40:22.287Z", "card_name": "Primary card", "document_number": "72437914099", "card_profile": "profile 01", "default_card": true, "issuer_card": false, "network": "VISA", "metadata": "{ \"address\": \"st main 01, center, nashville - FA\" }" } }, "CardName": { "type": "string", "description": "Card alias name. No limit.", "example": "Vacation card" }, "CardsOnFileErrorResponse": { "properties": { "error_code": { "type": "string", "description": "Error code" }, "message": { "type": "string", "description": "Error message" } } }, "CardProfile": { "type": "string", "description": "Network card profile identifier or HEX color. A profile or HEX color determines a card's appearance in a mobile payment app or payment system. Issuers are responsible for configuring card profiles with the card network.\n", "example": "0XFFFFFF" }, "CardStatus": { "type": "string", "description": "Card status", "enum": [ "ACTIVE", "SUSPENDED", "PENDING" ], "example": "ACTIVE" }, "CreationDate": { "type": "string", "description": "Creation date in RFC3339 format.", "example": "2018-11-05T19:21:42.000Z" }, "CustomerID": { "type": "integer", "description": "Pismo customer ID.", "example": 5648988 }, "DefaultCard": { "type": "boolean", "description": "Default card flag. Default is `false`.", "example": true }, "DocumentNumber": { "type": "string", "description": "Cardholder government document number. This can be from any document that identifies the cardholder such as a Tax ID, State ID, or driver's license.\n", "example": "7777888hh" }, "First6Digits": { "type": "string", "description": "First 6 PAN digits" }, "IssuerCard": { "type": "boolean", "description": "Is this the issuer's card flag. Default is `false`.", "example": false }, "Last4Digits": { "type": "string", "description": "Last 4 PAN digits", "example": "5684" }, "Metadata": { "type": "string", "description": "Any data object with key/value pairs. No limit on length.", "example": "{ \"key\": \"value\"}" }, "Network": { "type": "string", "description": "Card network that provisioned card", "enum": [ "AMEX", "MASTERCARD", "VISA", "UNKNOWN" ], "example": "VISA" }, "Pan": { "type": "string", "description": "Primary Account Number (PAN) to store", "minLength": 12, "maxLength": 19, "example": "55689839363638393" }, "PismoCardID": { "type": "integer", "description": "Pismo card ID", "example": 674593 }, "PrintedName": { "type": "string", "description": "Printed name on physical card", "example": "Sarah Toga" }, "ProgramID": { "type": "integer", "description": "Pismo program ID", "example": 5674 }, "Verified": { "type": "boolean", "description": "Is card verified flag. Default is `false`.", "example": false } }, "responses": { "400BadRequest": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CardsOnFileErrorResponse" } } } }, "500InternalServer": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CardsOnFileErrorResponse" } } } } } }, "paths": { "/cardsonfile/v2/cardsonfile/cards/{cardid}": { "get": { "summary": "Get card on file", "description": "Get card on file\n\n**Note**: This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "operationId": "list-cardonfile", "tags": [ "Cards on file" ], "parameters": [ { "$ref": "#/components/parameters/cardIDpath" }, { "$ref": "#/components/parameters/authPath" } ], "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/CardOnFileResponse" } } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```